API Documentation Download OpenAPI specification

Fetch Legal Export Dump

GEThttps://bll.titan.email/partner/fetchLegalExportDump

API to fetch information about a legal export job for an email account on Titan Mail Cloud infra. The exported file name will be : <titanAccountId>_<jobId>.tar.gz.

Query parameters

titanOrderIdnumberrequired

The unique Titan order ID

titanAccountIdnumberrequired

The Titan account ID for which the legal export information is to be fetched.

Example: 12345
jobIdstringrequired

The job ID of the legal export job.

Example: job-12345

Responses

200OKapplication/json
statusstring · enum

The status of the job.

Example: PENDING
Possible values: PENDING RUNNING SUCCESS FAILED
downloadUrlstringoptional

The URL to download the exported file, if the job is completed.

Example: https://cloudfront.net/exportedFile.zip
404NotFound
  • when job is not
  • found for the given titanAccountId and jobId.
See General Errors for other errors that this API can return.
GET/partner/fetchLegalExportDump
curl 'https://bll.titan.email/partner/fetchLegalExportDump?titanOrderId=0&titanAccountId=12345&jobId=job-12345' \
  --header 'Authorization: API.Key'
Response
{
  "status": "PENDING",
  "downloadUrl": "https://cloudfront.net/exportedFile.zip"
}